### Method

# Gtk Snapshotpush_repeat

#### Declaration [src]

    void
    gtk_snapshot_push_repeat (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_rect_t* child_bounds
    )

#### Description [src]

Creates a node that repeats the child node.

The child is recorded until the next call to `gtk_snapshot_pop()`.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The bounds within which to repeat.

  The data is owned by the caller of the method.

`child_bounds`

  Type: `graphene_rect_t`

  The bounds of the child or `NULL` to use the full size of the collected child node.

  The argument can be `NULL`.
  The data is owned by the caller of the method.